# Class: Transformation

## mapping.Transformation(options)

Transformation of a range of stored values into real world values in a defined unit. The transformation may either be described by a lookup table (LUT) or alternatively by the slope and intercept parameters if the transformation can be described by a linear function.

## Constructor

#### new Transformation(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Options ###### Properties
Name | Type | Description
--- | --- | ---
`label` | string | LUT Label
`firstValueMapped` | number | First value mapped by LUT
`lastValueMapped` | number | Last value mapped by LUT
`lut` | lut | LUT data
`intercept` | number | Intercept of linear function
`slope` | number | Slope of linear function

Source:
  - mapping.js, line 12